/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2020                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#include "blade-config.h"
#include "RegionPropertiesFilter.h"



RegionPropertiesFilter::RegionPropertiesFilter()
{
    name = "";
    active = false;
}


RegionPropertiesFilter::~RegionPropertiesFilter()
{
}


void
RegionPropertiesFilter::set_name( const std::string &  _name  )
{
    if (_name.size() >0)
    {
        active = true;
        name = _name;
    }else
        active = false;
    emit filterChanged();
}


FilterResult 
RegionPropertiesFilter::apply( TraceEvent * _te )
{
    if (!is_active())
        return FILTER_OK;

    std::string _name = _te->get_region_name();
    if (_name.find( name ) != std::string::npos)
    {
        return FILTER_OK;
    }
    
    return FILTER_CHILDREN;
}
