/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2020                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef __BINARY_EVALUATION_CPP
#define __BINARY_EVALUATION_CPP 0

#include "blade-config.h"
#include "BinaryEvaluation.h"
using namespace std;



BinaryEvaluation::BinaryEvaluation() : GeneralEvaluation()
{
};

BinaryEvaluation::BinaryEvaluation( GeneralEvaluation* _arg1,
                                    GeneralEvaluation* _arg2 ) : GeneralEvaluation()
{
    argument1 = _arg1 ;
    argument2 = _arg2 ;
};


BinaryEvaluation::~BinaryEvaluation()
{
    delete argument1;
    delete argument2;
}


void
BinaryEvaluation::setArguments( GeneralEvaluation* _arg1, GeneralEvaluation* _arg2)
{
    argument1 = _arg1;
    argument2 = _arg2;
}

#endif
