/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2020                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#include "blade-config.h"
#include <string>
#include <vector>
#include <inttypes.h>

#include "RecvP2PTraceEvent.h"
#include "SendP2PTraceEvent.h"
#include "ISendP2PTraceEvent.h"
     
bool
RecvP2PTraceEvent::match( P2PTraceEvent * _e) const
{
    SendP2PTraceEvent * _as_send = dynamic_cast<SendP2PTraceEvent*>(_e);
    ISendP2PTraceEvent * _as_isend = dynamic_cast<ISendP2PTraceEvent*>(_e);

    if (_as_send != NULL)
        return P2PTraceEvent::match( _as_send->get_tag(), _as_send->get_location(), _as_send->get_communicator()   );
    if (_as_isend != NULL)
        return P2PTraceEvent::match( _as_isend->get_tag(), _as_isend->get_location(), _as_isend->get_communicator()   );
    return false;
}
    
    
    
