/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef SCOREPION_FILTER_SET_WIDGET_H
#define SCOREPION_FILTER_SET_WIDGET_H

#include <QTabWidget>
#include <QTextEdit>
#include "PluginServices.h"

#include <FilterRulesSet.h>


namespace scorepion_plugin
{
    
    namespace gui 
    {

        class ScorePionFilterSetWidget : public QWidget
        {
            Q_OBJECT
        public:
            ScorePionFilterSetWidget(  scorepion_plugin::filters::FilterType _rules_type,  QWidget * parent = NULL );
            ScorePionFilterSetWidget(  scorepion_plugin::filters::FilterRulesSet * filter_rules_set = NULL,  QWidget * parent = NULL );
                  
            ~ScorePionFilterSetWidget()
            {
//                 delete rules;
            }
            
            
            scorepion_plugin::filters::FilterRulesSet * 
            getFilterRules() const
            {
                return rules;
            }
            
            
        public slots:
            void
            rulesChanged();
            
        signals:
            void
            changedFilter();
            
        private slots:
            void
            removeSelf( int index);
            
            void
            changedFilterSlot();
            
            
            
            
        private:
            
            scorepion_plugin::filters::FilterType type;
            scorepion_plugin::filters::FilterRulesSet *rules;
            QTabWidget * tab;
            QTextEdit * content;
            QString title;
            
        };

    };
};


#endif
