/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef SCOREPION_TOOLBAR_H
#define SCOREPION_TOOLBAR_H

#include <QToolButton>
#include <QLineEdit>
#include <QComboBox>
#include <QToolBar>
#include <QToolButton>
#include <QLabel>
#include <QSpinBox>
#include "PluginServices.h"



namespace scorepion_plugin
{
    
    namespace gui 
    {
        
        class ScorePionPluginWidget;


        class ScorePionToolBar : public QToolBar
        {
            Q_OBJECT
        public:
            ScorePionToolBar( cubepluginapi::PluginServices* service );
            
            
            void
            setScorePionPluginWidget( ScorePionPluginWidget* newparent );

            void
            reinit();
            
            void
            showSelf();
            
            void
            hideSelf();
            
            
            
        private slots:

            void
            addIncludeFile();

            void
            addIncludeRegion();

            void
            addExcludeFile();

            void
            addExcludeRegion();
            
            void
            changedCountersNumber( int );
            
            void
            saveFilterFile();
            
            void
            openFilterFile();
            
            void
            addMetric();
            
            std::string
            buildRegionTraceContributionMetric();

            std::string
            buildRegionOverheadMetric();

        signals:
            void
            addedMetric();
            
            void
            changedCountersNum( int );
            
        private:
            cubepluginapi::PluginServices*       service;
            ScorePionPluginWidget* parent;
            QAction     *add_incl_filter_action, 
                        *add_excl_filter_action;
            QSpinBox * num_counters_widget;
            
            bool active;
            std::map<cube::Region*, uint64_t> bytes_per_visit;
            std::map<cube::Region*, double>   overhead_per_visit;
            
            
        };

    };
};


#endif
